Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.valves
Class AccessLogValve.RequestURIElement

    java.lang.Object
      org.apache.catalina.valves.AccessLogValve.RequestURIElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  AccessLogValve

    protected class AccessLogValve.RequestURIElement

extends java.lang.Object
implements AccessLogValve.AccessLogElement

write requested URL path - %U

Constructor Summary
`protected` | `AccessLogValve.RequestURIElement()`

Method Summary
`void` | `addElement(java.lang.StringBuffer buf, java.util.Date date, Request request, Response response, long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessLogValve.RequestURIElement

    protected AccessLogValve.RequestURIElement()

Method Detail

### addElement

    public void addElement(java.lang.StringBuffer buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

  Specified by:
    `addElement` in interface `AccessLogValve.AccessLogElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.